
.btn {
    border-radius: 8px;
    justify-content: center;
    font-family: Inter, sans-serif;
    font-size: 16px;
    font-style: normal;
    line-height: 1;
    color: #fff;
    text-decoration: none;
    width: max-content;
    height: 44px;
    padding: 15px 0;
    border: 0;
    padding-left: 24px;
    padding-right: 24px;
    margin-left: auto;
    margin-right: auto;
    font-weight: 700;
    border: 1px solid transparent;
    background-image: linear-gradient(90deg, #071e33 0%, #071e33 100%);
    transition: background .3s ease-in-out, box-shadow .3s ease-in-out,;
    position: relative;
}

.btn:hover {
    box-shadow: 0 4px 12px 0 var(--Black-300, rgba(15, 24, 43, 0.16));
}


.btn--dark {
    background: #000000;
    color: #ffffff;
}

.btn--small {
    padding: 0 20px;
    height: 50px;
    line-height: 50px;
    font-size: 16px;
    font-weight: 700;
}



.btn span {
    position: relative;
    z-index: 2;
    display: flex;
    align-items: center;
    gap: 16px;
}
.btn--orange {
    position: relative;
    overflow: hidden;
    background-image: linear-gradient(90deg, #FFB200 0%, #FF7E14 100%);
    border: none;
}
.btn--orange::before,
.btn--blue::before
{
    content: "";
    position: absolute;
    inset: 0;
    opacity: 0;
    transition: opacity 0.4s linear;
    color: #ffffff;
    z-index: 1;
    transition: .3s all ease-in-out;
}

.btn--orange:hover::before {
    opacity: 1;
}

.btn--orange:active::before {
    box-shadow: inset 0px 0px 10px #944709;
    color: #ffffff;
}

.btn--orange:active {
    border-color: var(--Black-400);
    box-shadow: 4px 10px 32px 10px rgba(12, 101, 222, 0.24); 
}
.btn--blue {
    position: relative;
    overflow: hidden;
    background: linear-gradient(90deg, #2279E2 0%, #3152D4 100%);
    border: none;
}
.btn--blue::before
{
    background: linear-gradient(90deg, #3152D4 0%, #3152D4 100%);
}

.btn--blue:hover::before {
    opacity: 1;
}

.btn--blue:active::before {
    box-shadow: inset 0px 0px 10px #2379e2;
    color: #ffffff;
}

.btn--blue:active {
    border-color: var(--Black-400);
    background: linear-gradient(0deg, rgba(255, 255, 255, 0.08) 0%, rgba(255, 255, 255, 0.08) 100%), #2379e2;
    box-shadow: 4px 10px 32px 10px rgba(12, 101, 222, 0.24);
}
.btn--white {
    background: #EAF4F9;
    color: #181D27;
}

.btn--white:hover {
    background: #cad9e1;
    color: var(--color-text);
}

.btn--small {
    height: 32px;
    line-height: 32px;
}
.btn--blue-light{
    background: var(--Blue-100);
    color: var(--color-blue);
}
.btn--blue-light:hover{
    background: var(--Blue-200);
    box-shadow: none;
}
.btn-arrow{
    display: block;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
    height: 16px;
    transition: .3s right ease-in-out;   
    z-index: 11;
}
.btn:hover .btn-arrow{
    right: 6px;
}
@media (min-width: 1024px) {
    .btn {
        height: 60px;
        padding: 25px 40px;
        font-size: 18px;
    }
    .btn--small {
        height: 40px;
        line-height: 40px;
        font-weight: 600;
        font-size: 16px;
    }

}

@media (max-width: 350px) {
    .btn {
        width: max-content;
    }
}
